API Explorer 106 endpoints

Get CovidAPIDays by id

GET /obp/dynamic-entity/CovidAPIDays/COVID_API_DAYS_ID

OBPv4.0.0-dynamicEntity_getSingleCovidAPIDays_ Roles: CanGetDynamicEntityRecord_CovidAPIDays(per bank) _CovidAPIDaysDynamic-EntityDynamic

Get CovidAPIDays by id.

Description of this entity, can be markdown text.

Property List:

  • name: description of name field, can be markdown text.
  • number: description of number field, can be markdown text.

MethodRouting settings example:

<details>

{
  "is_bank_id_exact_match":false,
  "method_name":"dynamicEntityProcess",
  "connector_name":"rest_vMar2019",
  "bank_id_pattern":".*",
  "parameters":[
    {
        "key":"entityName",
        "value":"CovidAPIDays"
    }
    {
        "key":"url",
        "value":"http://mydomain.com/xxx"
    }
  ]
}

</details>

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

Example success response
{
  "covid_api_days": {
    "covid_api_days_id": "d8839721-ad8f-45dd-9f78-2080414b93f9",
    "name": "James Brown",
    "number": 698761728
  }
}
Possible errors (3)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
  • OBP-50000: Unknown Error.
Implemented by OBPv4.0.0 dynamicEntity_getSingleCovidAPIDays_ Originally /CovidAPIDays/COVID_API_DAYS_ID